Skip to main content
PATCH
/
v1
/
agents
/
{agentId}
/
telephony
/
connectors
/
batch
Batch update connectors
curl --request PATCH \
  --url https://api.us.poly.ai/v1/agents/{agentId}/telephony/connectors/batch \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "updates": [
    {
      "connectorId": "<string>",
      "variantId": "<string>",
      "asrLangCode": "<string>",
      "voiceName": "<string>",
      "projectId": "<string>"
    }
  ]
}
'
{
  "results": [
    {
      "connectorId": "<string>",
      "success": true,
      "data": {
        "connectorId": "<string>",
        "name": "<string>",
        "accountId": "<string>",
        "projectId": "<string>",
        "clientEnv": "<string>",
        "variantId": "<string>",
        "asrLangCode": "<string>",
        "ttsLangCode": "<string>",
        "voiceName": "<string>",
        "disableHandoff": true
      },
      "error": "<string>"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

agentId
string
required

Body

application/json

Ordered list of connector updates.

Each update is applied independently — partial success is possible.

updates
object[]
required

List of connector updates

Minimum array length: 1

Response

Successful response

Per-connector results from a batch update.

Each entry reports success or failure independently.

results
object[]
required
Last modified on April 22, 2026